django_project/urls.py
from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include
from employee.views import (
    mailing_list_list,
    mailing_list_view,
    mailing_list_edit,
    mailing_list_delete,
    ml_add_guest,
    ml_delete_guest,
    mailing_list_export,
    mailing_list_new,
    mailing_list_expiring_view,
    mailing_list_export_all,
)
from django.contrib.auth import views as auth_views
from .api import api


urlpatterns = [
    path("admin/", admin.site.urls),
    path(
        "admin/password_reset/",
        auth_views.PasswordResetView.as_view(),
        name="admin_password_reset",
    ),
    path(
        "admin/password_reset/done/",
        auth_views.PasswordResetDoneView.as_view(),
        name="password_reset_done",
    ),
    path(
        "reset/<uidb64>/<token>/",
        auth_views.PasswordResetConfirmView.as_view(),
        name="password_reset_confirm",
    ),
    path(
        "reset/done/",
        auth_views.PasswordResetCompleteView.as_view(),
        name="password_reset_complete",
    ),
    path("djrichtextfield/", include("djrichtextfield.urls")),
    path("accounts/", include("allauth.urls")),
    path("", include("pages.urls")),
    path("employee/", include("employee.urls")),
    path("projects/", include("projects.urls")),
    path("common/", include("common.urls")),
    path(
        "mailinglist/expiring",
        mailing_list_expiring_view,
        name="mailing_list_expiring_view",
    ),
    path("mailinglist/new", mailing_list_new, name="mailing_list_new"),
    path("mailinglist/all", mailing_list_list, name="mailing_list_list"),
    path("mailinglist/<str:ml_id>", mailing_list_view, name="mailing_list_view"),
    path("mailinglist/<str:ml_id>/edit", mailing_list_edit, name="mailing_list_edit"),
    path(
        "mailinglist/<str:ml_id>/delete",
        mailing_list_delete,
        name="mailing_list_delete",
    ),
    path("mailinglist/<str:ml_id>/add", ml_add_guest, name="ml_add_guest"),
    path(
        "mailinglist/<str:ml_id>/<str:id>/delete",
        ml_delete_guest,
        name="ml_delete_guest",
    ),
    path(
        "mailinglist/export/all",
        mailing_list_export_all,
        name="mailing_list_export_all",
    ),
    path(
        "mailinglist/<str:ml_id>/export",
        mailing_list_export,
        name="mailing_list_export",
    ),
    path("contracts/", include("contracts.urls")),
    path("missions/", include("missions.urls")),
    path("department/", include("department.urls")),
    path("api/", api.urls),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

pages/urls.py
from django.urls import path
from employee.views import edit_employee
from .views import (
    HomePageView,
    AboutPageView,
    ProfilePageView,
    homePage,
    profile,
    editProfile,
)

urlpatterns = [
    path("", homePage, name="home"),
    path("about/", AboutPageView.as_view(), name="about"),
    path("profile/", profile, name="profile"),
    path("profile/edit/", editProfile, name="edit_profile"),
]

missions/models.py
from django.db import models
from common.models import CURRENCY_CHOICES
from projects.models import Project
from common.utils import UploadToPathAndRename, MaxSizeValidator
from django.core.validators import FileExtensionValidator
from uuid import uuid4
from accounts.models import IFPUser
from django.utils.translation import gettext as _


LOCATION_TYPE_CHOICES = [
    ("Big Town", "Big Town"),
    ("Touristic", "Touristic"),
    ("Rest of the place","Rest of the place"),
]

MISSION_TYPE_CHOICES = [
    ("Free of Cost", "Free of Cost"),
    ("Only Transport charges", "Only Transport charges"),
    ("Per Day charges", "Per Day charges"),
]

CLAIM_TYPE_CHOICES = [
    ('Expat','Expat'),
    ('IFP Tariff', 'IFP Tariff'),
    ('Not Required', 'Not Required')
]


class Forex(models.Model):
    date = models.DateField()
    currency = models.CharField(max_length=10, choices=CURRENCY_CHOICES)
    value = models.DecimalField(default = 0,max_digits=10, decimal_places=2)

    def __str__(self):
        return "{} - {}".format(self.date, self.value)



class DailyAllowance(models.Model):
    urban_day_rate = models.DecimalField(max_digits=10, decimal_places=2)
    urban_night_rate = models.DecimalField(max_digits=10, decimal_places=2)
    rural_day_rate = models.DecimalField(max_digits=10, decimal_places=2)
    rural_night_rate = models.DecimalField(max_digits=10, decimal_places=2)
    metro_day_rate = models.DecimalField(max_digits=10, decimal_places=2)
    metro_night_rate = models.DecimalField(max_digits=10, decimal_places=2)
    date = models.DateField()
    currency = models.CharField(max_length=10, choices=CURRENCY_CHOICES, default='INR')

    def __str__(self):
        return "{}".format(self.date)
    
class Proof(models.Model):
    date = models.DateField()
    document = models.FileField(
        upload_to=UploadToPathAndRename("missions/", "documents"),
        validators=[
            FileExtensionValidator(["jpg", "jpeg", "png","pdf"]),
            MaxSizeValidator("10MB"),
        ],
        
    )
    description = models.TextField(null=True, blank=True)
    amount = models.DecimalField(default=0,max_digits=10, decimal_places=2)
    currency = models.CharField(max_length=10, choices=CURRENCY_CHOICES)

    def __str__(self):
        return "{} - {} {}".format(self.date, self.amount,self.currency)


class Mission(models.Model):
    id = models.UUIDField(primary_key=True, default=uuid4, editable=False)
    from_date = models.DateField()
    to_date = models.DateField()
    proposer = models.ForeignKey(IFPUser, on_delete=models.CASCADE)
    members = models.ManyToManyField(IFPUser,verbose_name=_("members"),related_name="members", null=True, blank=True)
    currency = models.CharField(max_length=10, choices=CURRENCY_CHOICES)
    location_name = models.CharField(max_length=255)
    location_type = models.CharField(max_length=50, choices=LOCATION_TYPE_CHOICES)
    total_budget = models.IntegerField(default=0)
    upfront_amount = models.IntegerField(default=0)
    purpose = models.TextField()
    remarks = models.TextField()
    leave_required = models.BooleanField(default=False)
    mission_type = models.CharField(max_length=50, choices=MISSION_TYPE_CHOICES)
    claim_type = models.CharField(max_length=50, choices=CLAIM_TYPE_CHOICES)
    project = models.ForeignKey(Project,on_delete=models.CASCADE)
    MISSION_STATUS_CHOICES = [
        ("Proposed", "Proposed"),
        ('Resubmit', 'Resubmit'),
        ('Resubmitted', 'Resubmitted'),
        ("Approved", "Approved"),
        ("Reimburse", "Reimburse"),
        ("Resubmit Proofs", "Resubmit Proofs"),
        ("Reimburse Review", "Reimburse Review"),
        ("Completed", "Completed"),
    ]
    status = models.CharField(max_length=50, choices=MISSION_STATUS_CHOICES, default="Proposed")
    proofs = models.ManyToManyField(Proof, related_name="mission_proofs", null=True, blank=True)
    resubmit_reason = models.TextField(null=True)
    resubmit_proof_reason = models.TextField(null=True)
    total_expenditure = models.DecimalField(default=0,max_digits=10, decimal_places=2)
    reimburse_amount = models.DecimalField(default=0,max_digits=10, decimal_places=2)

    def __str__(self):
        return "{} - {}".format(self.project.name, self.proposer)

templates/pages/about.html
{% extends '_base.html' %}

{% block title %}About page{% endblock %}

{% block content %}
<h1>About page</h1>
{% endblock content %}

templates/pages/edit_profile.html
{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} Edit Employee Details {% endblock title %}

{% block content %}
<div class="column is-one-third is-offset-one-third">
    <div class="section card">
        <h3 class="title is-3 has-text-centered mb-6">Edit user</h3>
        <form action="{% url 'edit_profile' %}" method="POST">
            {% csrf_token%}
            <p class="is-size-5 has-text-weight-semibold">Personal Details</p>
            <div class="m m-5">
            {{forms.OnBoardPersonalFrom|crispy}}
            </div>
            {% if user.is_superuser %}
            <p class="is-size-5 has-text-weight-semibold">Employment Details</p>
            <div class="m m-5">
            {{forms.OnBoardEmployeeDetailsForm|crispy}}
            </div>
            {% endif %}
            <p class="is-size-5 has-text-weight-semibold">Dependent Details</p>
            <div class="m m-5">
            {{forms.OnBoardDependentForm|crispy}}
            </div>
            <p class="is-size-5 has-text-weight-semibold">Emergency contact</p>
            <div class="m m-5">
            {{forms.OnBoardEmergencyContactForm|crispy}}
            </div>
            <p class="is-size-5 has-text-weight-semibold">Personal Details</p>
            <div class="m m-5">
            {{forms.OnBoardAffiliatedInstitutionForm|crispy}}
            </div>
            <p class="is-size-5 has-text-weight-semibold">Personal Details</p>
            <div class="m m-5">
            {{forms.OnBoardEducationDetailsForm|crispy}}
            </div>
            <p class="is-size-5 has-text-weight-semibold">Personal Details</p>
            <div class="m m-5">
            {{forms.OnBoardVisa|crispy}}
            </div>
            <button type="submit" class="button is-link"> Save </button>
        </form>
    </div>
</div>
{% endblock content %}

templates/pages/home.html
{% extends '_base.html' %}
{% load static %}
{% block title %}Home{% endblock title %}

{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            IFP Overview
        </p>
        <p class="subtitle">
            Institute at a glance
        </p>
    </div>
</section>


<section class="section">
    <div class="columns is-multiline is-centered">

        <div class="column is-two-thirds">

            <div class="box">
                <h1 class="title is-size-5">Ongoing Missions</h1>
                <h2 class="subtitle"></h2>
            </div>
            <div class="box">
                <h1 class="title is-size-5">Upcoming Missions</h1>
                <h2 class="subtitle"></h2>
            </div>
        {% if user.is_superuser %}
            <div class="box">
                <h1 class="title is-size-5">On leave today</h1>
                <h2 class="subtitle"></h2>
                <br>
                {% if leaves_today %}
                <table class="table">
                    <tr>
                        <th>From</th>
                        <th>To</th>
                        <th>Name</th>
                        <th>Department</th>
                    </tr>
                    {% for leave in leaves_today %}
                    <tr>
                        <td> {{leave.from_date}}</td>
                        <td> {{leave.to_date}}</td>
                        <td> {{leave.applied_by.first_name}} {{leave.applied_by.last_name}}</td>
                        <td> 
                            {% for dep in leave.applied_by.department.all %}
                            {{dep.name}}
                            {% endfor %} 
                        </td>
                    </tr>
                    {% endfor %}
                </table>
                {% else %}
                <p>No announced leaves</p>
                {% endif %}
            </div>
            <div class="box">
                <h1 class="title is-size-5">On leave tomorrow</h1>
                <h2 class="subtitle"></h2>
                <br>
                {% if leaves_tomorrow %}
                <table class="table">
                    <tr>
                        <th>From</th>
                        <th>To</th>
                        <th>Name</th>
                        <th>Department</th>
                    </tr>
                    {% for leave in leaves_tomorrow %}
                    <tr>
                        <td> {{leave.from_date}}</td>
                        <td> {{leave.to_date}}</td>
                        <td> {{leave.applied_by.first_name}} {{leave.applied_by.last_name}}</td>
                    </tr>
                    {% endfor %}
                </table>
                {% else %}
                <p>No announced leaves tomorrow</p>
                {% endif %}

            </div>
            <div class="box">
                <h1 class="title is-size-5">Leave approvals</h1>
                <h2 class="subtitle"></h2>
                <br>
                {% if leaves %}
                <table class="table">
                    <tr>
                        <th>From</th>
                        <th>To</th>
                        <th>Number of Days</th>
                        <th>Leave Type</th>
                        <th>Applied By</th>
                        <th>Applied At</th>
                        <th>Action</th>
                    </tr>
                    {% for leave in leaves %}
                    <tr>
                        <form action={% url 'approve_leave' %} method="POST">
                            {% csrf_token %}
                            <input type="hidden" name="leave-id" value="{{leave.id}}">
                            <td> {{leave.from_date}}</td>
                            <td> {{leave.to_date}}</td>
                            <td> {{leave.days|floatformat}} </td>
                            <td>
                                {% if leave.leave_type == "Casual" %}
                                <span class="tag is-warning is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                {% elif leave.leave_type == "Medical" %}
                                <span class="tag is-danger is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                {% elif leave.leave_type == "Compensation" %}
                                <span class="tag is-success is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                {% else %}
                                <span class="tag is-info is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                {% endif %}
                            </td>
                            <td> {{leave.applied_by.first_name}} {{leave.applied_by.last_name}}</td>
                            <td> {{leave.applied_at}}</td>
                            <td>
                                <button type="submit" class="button is-success is-small">Approve</button>
                        </form>
                        <br>
                            <a href="{% url 'leave_reject' id=leave.id %}">
                                <button class="button is-small is-danger mt-1">Reject</button>
                            </a>
                        </td>
                    </tr>
                    {% endfor %}
                </table>
                {% else %}
                <p>No leave pending approval</p>
                {% endif %}
            </div>
            <div class="box">
                <h1 class="title is-size-5">Expiring contracts</h1>
                <h2 class="subtitle"></h2>
            </div>
            <div class="box">
                <h1 class="title is-size-5">Emails expiring soon</h1>
                <h2 class="subtitle"></h2>
                <br>
                {% if email_expiring %}
                <table class="table">
                    <tr>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Expiry date</th>

                    </tr>
                    {% for user in email_expiring %}
                    <tr>
                        <form>
                            {% csrf_token %}
                            <input type="hidden" name="leave-id" value="{{leave.id}}">
                            <td> {{user.first_name}} {{user.last_name}}</td>
                            <td> {{user.email}}</td>
                            <td> {{user.mail_expiry}}</td>

                        </form>
                    </tr>
                    {% endfor %}
                </table>
                {% else %}
                <p>No emails expiring soon</p>
                {% endif %}
            </div>
            <div class="box">
                <h1 class="title is-size-5">Expired Email</h1>
                <h2 class="subtitle"></h2>
                <br>
                {% if email_expired %}
                <table class="table">
                    <tr>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Expiry date</th>

                    </tr>
                    {% for user in email_expired %}
                    <tr>
                        <form>
                            {% csrf_token %}
                            <input type="hidden" name="leave-id" value="{{leave.id}}">
                            <td> {{user.first_name}} {{user.last_name}}</td>
                            <td> {{user.email}}</td>
                            <td> {{user.mail_expiry}}</td>

                        </form>
                    </tr>
                    {% endfor %}
                </table>
                {% else %}
                <p>No expired emails </p>
                {% endif %}
            </div>
            {% endif %}
        </div>
    </div>
</section>

{% endblock content %}

templates/pages/profile.html
{% extends '_base.html' %}
{% load static %}
{% block title %} {{ employee.first_name }} {{ user.last_name }}'s Profile {% endblock title %}
{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            {{employee.first_name}} {{employee.last_name}}
        </p>
        <p class="subtitle">
            Profile
        </p>
    </div>
</section>

<div class="column is-two-thirds is-offset-2">
    <div class="card">
        <div class="section">
            <div class="columns is-multiline is-centered">
                <div class="column is-12">
                    {% if request.user.is_superuser  %}
                    <a href="{% url 'edit_employee' empid=employee.emp_id %}"> <button class="button is-warning">Edit</button></a>
                    {% else %}
                    <a href="{% url 'edit_profile' %}"> <button class="button is-warning">Edit</button></a>
                    {% endif %}
                    <a href="{% url 'new_bank_account' empid=employee.emp_id %}"> <button class="button is-success">Add Bank Account</button></a>
                </div>
            </div>

            <div class="columns is-multiline">
                <div class="column is-4 is-offset-5 mb-5">
                    <figure class="image is-128x128">
                        <img src="{{employee.display_picture.url}}">
                    </figure>
                </div>
                <div class="column is-6">
                    <h2 class="is-size-4 ">Contact</h2>
                    <hr>

                    <table class="table">
                        <tr>
                            <th>Designation :</th>
                            <td>{% if employee.designation == None %} - {% else %} {{ employee.designation }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Email :</th>
                            <td>{{ employee.email }} |
                                {% if employee.email == request.user.email %}
                                <a href={% url 'account_email'%}>Change</a>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <th>Mobile :</th>
                            <td>{% if employee.phone == None %} - {% else %} {{ employee.phone }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Communication Address :</th>
                            <td>{% if employee.designation == comm_addr %} - {% else %} {{ employee.comm_addr }} {% endif %}</td>
                        </tr>
                    </table>
                </div>
                <div class="column is-6">
                    <h2 class="is-size-4 ">Work</h2>
                    <hr>
                    <table class="table">
                        <tr>
                            <th>Employee ID :</th>
                            <td>{{ employee.emp_id }}</td>
                        </tr>
                        <tr>
                            <th>Date of Joining :</th>
                            <td>{% if employee.designation == doj %} - {% else %} {{ employee.doj }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Number of leaves available :</th>
                            <td>{{employee.casual_leaves|floatformat}}</td>
                        </tr>

                    </table>

                </div>

                <div class="column is-6">
                    <h2 class="is-size-4 ">Personal</h2>
                    <hr>

                    <table class="table">
                        <tr>
                            <th>Date of birth :</th>
                            <td>{% if employee.dob == None %} - {% else %} {{ employee.dob }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Gender :</th>
                            <td>{% if employee.gender == None %} - {% else %} {{ employee.gender }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Country :</th>
                            <td>{% if country == None %} - {% else %} {{ country }} {% endif %}</td>
                        </tr>

                        <tr>
                            <th>Permanent address:</th>
                            <td>{% if employee.perm_addr == None %} - {% else %} {{ employee.perm_addr }} {% endif %}</td>
                        </tr>
                    </table>
                </div>
                <div class="column is-6">
                    <h2 class="is-size-4 ">Departments</h2>
                    <hr>
                    {% if employee.department.all == None  %}<p> No departments linked for this employee. </p> {% endif %}
                    {% for dep in employee.department.all %}
                    <a href="{% url 'department_view' id=dep.id %}"> {{dep.name}}</a><br>
                    {% endfor %}

                </div>
                <div class="column is-6">
                    <h2 class="is-size-4 ">Projects</h2>
                    <hr>
                    {% if employee.project_members.all == None  %}<p> No projects linked for this employee. </p> {% endif %}
                    {% for p in employee.project_members.all %}
                    <a href="{% url 'project_view' id=p.id %}"> {{p.name}}</a><br>
                    {% endfor %}

                </div>

                <div class=" column is-6">
                    <h2 class="is-size-4 ">Missions</h2>
                    <hr>
                    {% for p in employee.mission_set.all %}
                    <a href="{% url 'bank_account_view' empid=employee.emp_id bank_id=p.id %}"> {{p.acc_name}} | {{p.bank_name}}</a><br>
                    {% endfor %}
                </div>
                {% if employee.get_bank_details %}
                <div class=" column is-6">
                    <h2 class="is-size-4 ">Bank Accounts</h2>
                    <hr>
                    {% for p in employee.bank_accounts.all %}
                    <a href="{% url 'bank_account_view' empid=employee.emp_id bank_id=p.id %}"> {{p.acc_name}} | {{p.bank_name}}</a><br>
                    {% endfor %}

                </div>
                {% endif %}
                <div class="column is-6">
                    <h2 class="is-size-4 ">Mailing Lists</h2>
                    <hr>
                    {% for p in employee.mailinglist_set.all %}
                    <a href="{% url 'mailing_list_view' ml_id=p.id %}"> {{p.name}} - {{p.email}}</a><br>
                    {% endfor %}

                </div>

                <div class="column is-6">
                    <h2 class="is-size-4 ">Emergency Contact</h2>
                    <hr>

                    <table class="table">
                        <tr>
                            <th>Name :</th>
                            <td>{% if employee.emergency_contact_name == None %} - {% else %} {{ employee.emergency_contact_name }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Relationship :</th>
                            <td>{% if employee.emergency_contact_relationship == None %} - {% else %} {{ employee.emergency_contact_relationship }} {% endif %}</td>
                        </tr>
                        <tr>
                            <th>Mobile No. :</th>
                            <td>{% if employee.emergency_contact_mobile == None %} - {% else %} {{ employee.emergency_contact_mobile }} {% endif %}</td>
                        </tr>
                    </table>
                </div>
                {% if employee.get_dependent_for_insurance %}
                <div class="column is-6">
                    <h2 class="is-size-4 ">Dependent Details</h2>
                    <hr>

                    <table class="table">
                        {% if employee.spouse_name %}
                        <tr>
                            <th>Spouse Name :</th>
                            <td>{{ employee.spouse_name }}</td>
                        </tr>
                        <tr>
                            <th>Relationship :</th>
                            <td>{{ employee.spouse_relation }}</td>
                        </tr>
                        <tr>
                            <th>Date of Birth :</th>
                            <td>{{employee.spouse_dob}}</td>
                        </tr>

                        {% if employee.spouse_id_proof %}
                        <tr>
                            <th>ID Proof</th>
                            <td><a href="{{ employee.spouse_id_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                        {% endif %}
                    </table>
                    <table class="table">
                        {% if employee.child1_name %}
                        <tr>
                            <th>Child1 Name :</th>
                            <td>{{ employee.child1_name }}</td>
                        </tr>
                        <tr>
                            <th>Relationship :</th>
                            <td>{{ employee.child1_relation }}</td>
                        </tr>
                        <tr>
                            <th>Date of Birth :</th>
                            <td>{{employee.child1_dob}}</td>
                        </tr>

                        {% if employee.child1_id_proof %}
                        <tr>
                            <th>ID Proof</th>
                            <td><a href="{{ employee.child1_id_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                        {% endif %}
                    </table>
                    <table class="table">
                        {% if employee.child2_name %}
                        <tr>
                            <th>Child2 Name :</th>
                            <td>{{ employee.child2_name }}</td>
                        </tr>
                        <tr>
                            <th>Relationship :</th>
                            <td>{{ employee.child2_relation }}</td>
                        </tr>
                        <tr>
                            <th>Date of Birth :</th>
                            <td>{{employee.child2_dob}}</td>
                        </tr>

                        {% if employee.child2_id_proof %}
                        <tr>
                            <th>ID Proof</th>
                            <td><a href="{{ employee.child2_id_proof.url }}" target="_blank" rel="noopener">View in New Tab</a></td>
                        </tr>
                        {% endif %}
                        {% endif %}
                    </table>
                </div>
                {% endif %}
                {% if employee.get_educational_details %}
                <div class="column is-6">
                    <h2 class="is-size-4 ">Highest Education Details</h2>
                    <hr>
                    <table class="table">
                        <tbody>
                            <tr>
                                <th>Institute/University Name</th>
                                <td>{{ employee.institute_name }}</td>
                            </tr>
                            <tr>
                                <th>Degree/Course Name</th>
                                <td>{{ employee.degree_name }}</td>
                            </tr>
                            <tr>
                                <th>Year of Passing</th>
                                <td>{{ employee.year_of_passing }}</td>
                            </tr>
                            <tr>
                                <th>Total Mark Percentage</th>
                                <td>{{ employee.mark_percent }}</td>
                            </tr>
                            {% if employee.degree_certificate %}
                            <tr>
                                <th>Degree Certificate</th>
                                <td><a href="{{ employee.degree_certificate.url }}" target="_blank" rel="noopener">View in New Tab</a>
                                </td>
                            </tr>
                            {% endif %}
                        </tbody>
                    </table>
                </div>
                {% endif %}
                <div class="column is-6">
                    <h2 class="is-size-4 ">Contract History</h2>
                    <hr>
                    {% for ch in contract_history %}
                    <a href="{% url 'contracts_validate' con_id=ch.contract.id %}">{{ch.contract.contract_type}} | ({{ch.contract.from_date}} - {{ch.contract.to_date}})</a><br>
                    {% endfor %}

                </div>
            </div>
        </div>
    </div>
</div>

{% endblock content %}